"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.loaderResolver = loaderResolver;
exports.moduleResolver = moduleResolver;

var _constants = require("../constants");

var _logger = require("../logger");

var _requireLocalOrGlobal = require("../servers/requireLocalOrGlobal");

var _libAlias = require("./libAlias");

var _client_packages_group = require("@zohodesk/client_packages_group");

function moduleResolver(options) {
  const {
    moduleResolvePath,
    disableES5Transpile
  } = options.app;
  const customAlias = options.alias;
  console.log(moduleResolvePath);
  let required = moduleResolvePath && (0, _requireLocalOrGlobal.requireLocal)(moduleResolvePath);
  console.log(required, 'requirwe');

  if (!required) {
    console.log('this global');
    required = (0, _requireLocalOrGlobal.requireGlobal)('@zohodesk/client_packages_group');
    console.log(required, 'what');

    if (required) {
      (0, _logger.messageLogger)('global `@zohodesk/client_packages_group` package taken as client_packages_group');
    }
  }

  const nodeModulesPath = required ? required.nodeModulesPath : _client_packages_group.nodeModulesPath;
  const totalAlias = disableES5Transpile ? Object.assign({}, _libAlias.libAlias, (0, _libAlias.aliasPathCreation)(customAlias)) : (0, _libAlias.aliasPathCreation)(customAlias);
  return {
    extensions: ['.js', '.jsx', '.ts', '.tsx'],
    modules: [nodeModulesPath, _constants.cliNodeModulesPath, 'node_modules'].filter(Boolean),
    alias: totalAlias // alias: { ...libAlias, ...clientDependenies }

  };
}

function loaderResolver(options) {
  // const unstableDepsInverse = false;
  const {
    unstableDepsInverse
  } = options;
  return {
    modules: unstableDepsInverse ? ['node_modules', _constants.cliNodeModulesPath] : [_constants.cliNodeModulesPath, 'node_modules'] // alias:  libAlias

  };
}